Skip to navigation

How to get a list of elastic templates

View as Markdown

This topic demonstrates how to use the Click API to get a list of elastic templates associated with a specific Docusign user.

Note: If this is the first time you are using the Click API, we recommend creating one or more elastic templates using the Docusign web UI first, then using the Click API to get a list of those elastic templates. After you are familiar with how the Click API works, you can use it to create elastic templates so you no longer need to create them manually. This approach makes it easier to troubleshoot by eliminating some factors and simplifying your first API call. To use the Docusign web UI to manually create elastic templates, see Create an Elastic Template in the user guide.

Run this code example from our Quickstart or launcher projects: Bash, C#, Java, Node.js, PHP, PowerShell, Python, or Ruby.

Required data

Running the code in this how-to requires this data:

Data elementDescription
{API_ACCOUNT_ID}A GUID value that identifies your account. This value is automatically generated by Docusign for any account you create. Copy the value from the API Account ID field on the Apps and Keys page.
{BASE_PATH}A string value that forms the root of the URL required to make API calls. The base path value in the example code is set to target the developer environment at
https://<domain>/clickapi
Where <domain> is demo.docusign.net for the developer environment and is the result of the GetUserInfo call in production.
One or more elastic templatesYour user account must have at least one elastic template to retrieve.

Step 1. Obtain your OAuth token

To make the API call shown in this how-to, you need a valid OAuth access token. Docusign supports access tokens for three different recommended OAuth grant types: Public Authorization Code Grant, Confidential Authorization Code Grant, and JSON Web Token (JWT) Grant. Choose the OAuth grant type appropriate for your scenario.

See Authentication for guidance on your options to get an OAuth token.

Three icons that represent the three methods a user can use to obtain an OAuth token: JSON Web Token (JWT), Public Authorization Code Grant (ACG), and Confidential Authorization Code grant

Step 2. Construct your API headers

After you have a valid OAuth access token, you are ready to construct the API headers that you will pass to the API call. Construct your headers like this, but make sure to substitute your valid OAuth access token for {ACCESS_TOKEN}.

declare -a Headers=('--header' "Authorization: Bearer ${ACCESS_TOKEN}"
'--header' "Accept: application/json")

Step 3. Call the Click API

Now that you’ve constructed your API headers, make a request to the Clickwraps:getClickwraps method to retrieve all elastic templates for your account. Here’s how you make the call, but make sure to substitute your API account ID for {ACCOUNT_ID}.

Note: For compatibility with previous versions of the Click API, elastic templates use clickwrap endpoints.

View the source code for this how-to on GitHub: Bash, C#, Java, Node.js, PHP, PowerShell, Python, or Ruby

curl --request GET https://demo.docusign.net/clickapi/v1/accounts/${account_id}/clickwraps \
"${Headers[@]}" \
--output ${response}

Expected response

If you run this code example from our Quickstart or launcher projects, you should see a JSON response similar to the code shown.

Sample response
{
"clickwraps": [
{
"accountId": "a56df5fc-xxxx-xxxx-xxxx-f64dc8ab421e",
"clickwrapId": "66a85a21-xxxx-xxxx-xxxx-6f9dd48c8483",
"clickwrapName": "Terms of Service",
"versionId": "890bde8b-xxxx-xxxx-xxxx-9b8e3e368834",
"versionNumber": 2,
"status": "inactive",
"createdTime": "2020-08-04T21:31:04.7798287Z",
"lastModified": "2020-08-04T21:31:04.7798287Z",
"lastModifiedBy": "c1c4ca80-xxxx-xxxx-xxxx-32a3a9b13925",
"requireReacceptance": true,
"ownerUserId": "c1c4ca80-xxxx-xxxx-xxxx-32a3a9b13925"
},
{
"accountId": "a56df5fc-xxxx-xxxx-xxxx-f64dc8ab421e",
"clickwrapId": "66a85a21-xxxx-xxxx-xxxx-6f9dd48c8483",
"clickwrapName": "Terms of Service",
"versionId": "f19f1935-xxxx-xxxx-xxxx-fe8d93d78815",
"versionNumber": 1,
"status": "active",
"createdTime": "2020-08-03T18:20:35.7848896Z",
"lastModified": "2020-08-04T18:06:23.4715478Z",
"lastModifiedBy": "c1c4ca80-xxxx-xxxx-xxxx-32a3a9b13925",
"requireReacceptance": true,
"ownerUserId": "c1c4ca80-xxxx-xxxx-xxxx-32a3a9b13925"
}
],
"page": 0,
"pageSize": 40,
"minimumPagesRemaining": 0
}

Next steps